OpenTTD Source: UniscribeParagraphLayout::UniscribeVisualRun Class Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Private Attributes
UniscribeParagraphLayout::UniscribeVisualRun Class Reference

Visual run contains data about the bit of text with the same font. More...

Inheritance diagram for UniscribeParagraphLayout::UniscribeVisualRun:

## Public Member Functions
| UniscribeVisualRun (const UniscribeRun &range, int x)
| UniscribeVisualRun (UniscribeVisualRun &&other) noexcept
std::span< const GlyphID > | GetGlyphs () const override
std::span< const Position > | GetPositions () const override
std::span< const int > | GetGlyphToCharMap () const override
const Font * | GetFont () const override
int | GetLeading () const override
int | GetGlyphCount () const override
int | GetAdvance () const

## Private Attributes
std::vector< GlyphID > | glyphs
std::vector< Position > | positions
std::vector< WORD > | char_to_glyph
int | start_pos
int | total_advance
int | num_glyphs
Font * | font
std::vector< int > | glyph_to_char

## Detailed Description

Visual run contains data about the bit of text with the same font.

Definition at line 74 of file string_uniscribe.cpp.

## Constructor & Destructor Documentation

## ◆ UniscribeVisualRun() [1/2]

UniscribeParagraphLayout::UniscribeVisualRun::UniscribeVisualRun | ( | const UniscribeRun & | range,
|  | int | x
| ) |  |

Definition at line 474 of file string_uniscribe.cpp.

## ◆ UniscribeVisualRun() [2/2]

UniscribeParagraphLayout::UniscribeVisualRun::UniscribeVisualRun | ( | UniscribeVisualRun && | other | ) |
| noexcept

Definition at line 488 of file string_uniscribe.cpp.

## Member Function Documentation

## ◆ GetAdvance()

int UniscribeParagraphLayout::UniscribeVisualRun::GetAdvance | ( |  | ) | const
| inline

Definition at line 98 of file string_uniscribe.cpp.

## ◆ GetFont()

const Font * UniscribeParagraphLayout::UniscribeVisualRun::GetFont | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 95 of file string_uniscribe.cpp.

## ◆ GetGlyphCount()

int UniscribeParagraphLayout::UniscribeVisualRun::GetGlyphCount | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 97 of file string_uniscribe.cpp.

## ◆ GetGlyphs()

std::span< const GlyphID > UniscribeParagraphLayout::UniscribeVisualRun::GetGlyphs | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 91 of file string_uniscribe.cpp.

## ◆ GetGlyphToCharMap()

std::span< const int > UniscribeParagraphLayout::UniscribeVisualRun::GetGlyphToCharMap | ( |  | ) | const
| overridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 495 of file string_uniscribe.cpp.

## ◆ GetLeading()

int UniscribeParagraphLayout::UniscribeVisualRun::GetLeading | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 96 of file string_uniscribe.cpp.

## ◆ GetPositions()

std::span< const Position > UniscribeParagraphLayout::UniscribeVisualRun::GetPositions | ( |  | ) | const
| inlineoverridevirtual

Implements ParagraphLayouter::VisualRun.

Definition at line 92 of file string_uniscribe.cpp.

## Field Documentation

## ◆ char_to_glyph

std::vector<WORD> UniscribeParagraphLayout::UniscribeVisualRun::char_to_glyph
| private

Definition at line 78 of file string_uniscribe.cpp.

## ◆ font

Font* UniscribeParagraphLayout::UniscribeVisualRun::font
| private

Definition at line 83 of file string_uniscribe.cpp.

## ◆ glyph_to_char

std::vector<int> UniscribeParagraphLayout::UniscribeVisualRun::glyph_to_char
| mutableprivate

Definition at line 85 of file string_uniscribe.cpp.

## ◆ glyphs

std::vector<GlyphID> UniscribeParagraphLayout::UniscribeVisualRun::glyphs
| private

Definition at line 76 of file string_uniscribe.cpp.

## ◆ num_glyphs

int UniscribeParagraphLayout::UniscribeVisualRun::num_glyphs
| private

Definition at line 82 of file string_uniscribe.cpp.

## ◆ positions

std::vector<Position> UniscribeParagraphLayout::UniscribeVisualRun::positions
| private

Definition at line 77 of file string_uniscribe.cpp.

## ◆ start_pos

int UniscribeParagraphLayout::UniscribeVisualRun::start_pos
| private

Definition at line 80 of file string_uniscribe.cpp.

## ◆ total_advance

int UniscribeParagraphLayout::UniscribeVisualRun::total_advance
| private

Definition at line 81 of file string_uniscribe.cpp.

The documentation for this class was generated from the following file:

- src/os/windows/string_uniscribe.cpp